/*
 * Copyright (C) 2012  Jens Wilhelm Wulf, j dot w dot wulf at gmx dot net
 * Licensed under the GNU General Public License version 2.
 */

#ifndef STRSEARCHGROUP_H
# define STRSEARCHGROUP_H

# include <string>
# include <vector>

class StrSearchGroup
{
public:
  StrSearchGroup(std::string strFlags);
  void Add(std::string strWord, bool bNot);
  void AddCond(std::string& strExprOut);  
private:
  std::string strFlags;
  std::vector<std::string> vStrings;
  std::vector<std::string> vStringsNot;
};

#endif
