/*
 * Copyright (C) 2012  Jens Wilhelm Wulf, j dot w dot wulf at gmx dot net
 * Licensed under the GNU General Public License version 2.
 */

#ifndef USER_H
# define USER_H

#include <string>
#include <vector>

class SimpleXMLTransfer;

/**
 * 
 */
class User
{
public:
  User();
  
  int Read(SimpleXMLTransfer* xUD);
  
  std::string GetIDPic();
  std::string GetIDGroup();
  std::string GetStrID(int tmp, bool fGroup);
  
  /**
   * if this returns an empty string, adding pictures, groups and editing ratings is not allowed!
   */
  std::string GetUserID() { return strID; };
  
  void SetUserID(std::string strNewID);
  
  bool AllowIDSelect();
  
  void WriteBack();
  
  std::vector<std::string> GetUserList();
  
  SimpleXMLTransfer* xData;

private:
  std::string strName;
  std::string strHost;
  std::string strID;
  int group;
  int pic;
  
  void AddUser();
  SimpleXMLTransfer* GetThisUsersEntry();
};

#endif
