/*
 * Copyright (C) 2008  Jens Wilhelm Wulf, j dot w dot wulf at gmx dot net
 * Licensed under the GNU General Public License version 2.
 */

#ifndef addkwdlg_h
# define addkwdlg_h


# include <set>
# include <string>
# include <FL/Fl.H>
# include <FL/Fl_Double_Window.H>
# include <FL/Fl_Input.H>
# include <FL/Fl_Button.H>
# include <FL/Fl_Return_Button.H>
# include "texttree.h"

class AddKwDlg
{
public:
  AddKwDlg(std::set<std::string>& kwset);
  ~AddKwDlg();
  
  int showDlg();
  
  void AddKw(const char* item);
  
  Fl_Input *ti_words;
private:

  Fl_Button*        btn_cancel;
  Fl_Button*        btn_helphier;
  Fl_Return_Button* btn_add;
  Fl_Double_Window* myWindow;
  
  TextTreeBrowser*  brw_kws; 
};
#endif
