/*
 * Copyright (C) 2006  Jens Wilhelm Wulf, j dot w dot wulf at gmx dot net
 * Licensed under the GNU General Public License version 2.
 */

#ifndef ALBUMOPTDLG_H
# define ALBUMOPTDLG_H

# include <FL/Fl.H>
# include <FL/Fl_Double_Window.H>
# include <FL/Fl_Button.H>
# include <FL/Fl_Round_Button.H>
# include <FL/Fl_Return_Button.H>
# include <FL/Fl_Input.H>

class TreeView;

class AlbumOptDlg {

  public:
   AlbumOptDlg(TreeView* tv);
   ~AlbumOptDlg();

   int showDlg();

   Fl_Input*        td_dir;
   
  private:

   Fl_Round_Button* rb_src;
   Fl_Round_Button* rb_home;
   Fl_Round_Button* rb_select;
   Fl_Button*       btn_select;
   
   Fl_Button* btn_cancel;
   Fl_Return_Button* btn_ok;

   Fl_Double_Window* myWindow;
   TreeView*         myData;
};
#endif
