/*
 * Copyright (C) 2005-2006, 2012  Jens Wilhelm Wulf, j dot w dot wulf at gmx dot net
 * Licensed under the GNU General Public License version 2.
 */

#ifndef POPUP_H
#define POPUP_H

#define PA_NONE              0
#define PA_PROPERTIES        1
#define PA_ADDGROUP          2
#define PA_ADDPICS           3
#define PA_ORDER_C           4
#define PA_THUMB_CREATE      5
#define PA_ROT_CCW           6
#define PA_ROT_CW            7
#define PA_TIMESHIFT         8
#define PA_EDIT_GIMP         9
#define PA_REMOVE           10
#define PA_ADD_KEYWORD      11
#define PA_MOVE_INTO        12
#define PA_MOVE_AFTER       13
#define PA_LINK_INTO        14
#define PA_LINK_AFTER       15
#define PA_CHECK_FILES      16
#define PA_SEARCH           18
#define PA_UNLINK           19
#define PA_WIPE             20
#define PA_KWREPLACE        21
#define PA_EXPORT           23
#define PA_ADDPIC           25
#define PA_ORDER_P          26
#define PA_ORDER_S          27
#define PA_EXPORT_META      28
#define PA_IMPORT_META      29
#define PA_ADDDIRGROUP      30
#define PA_PICS_MOVE        31
#define PA_PICS_COPY        32
#define PA_UNMARK           33
#define PA_REFRESH          34
#define PA_EDIT_SEARCH      35
#define PA_MV_SEARCH_SRC    36
#define PA_FILE_REPLACE     37

// Numbers 100..110 are reserved for ratings
#define PA_RATE            100

// Numbers 1000+ are reserved for plugins!
#define PA_PLUGIN_BASE    1000

#endif
