/*
 * Copyright (C) 2005  Jens Wilhelm Wulf, j dot w dot wulf at gmx dot net
 * Licensed under the GNU General Public License version 2.
 */

#include <string>
#include <iostream>


void printToken(std::string txt)
{
  TextParser p;
  std::string token;
  bool        nl;
  
  p.setText(txt);
  
  while (p.hasToken())
  {
    p.getToken(token, nl);
    
    std::cout << "*" << token << "*";
    if (nl)
      std::cout << "\n";
  }
  std::cout << "\n----------------------------\n";
}

int main()
{
  printToken("");
  printToken("\n");
  printToken("bla");
  printToken("\nbla\n");
  printToken("bla\nbla");
  printToken("bla\n\nbla");
  printToken("bla\nein link: <ID=42> ende der zei<ID=13>le\nletzte");
  
  
  return(0);
}
