/*
 * Copyright (C) 2005  Jens Wilhelm Wulf, j dot w dot wulf at gmx dot net
 * Licensed under the GNU General Public License version 2.
 */

#ifndef TEXTPARSER_H
#define TEXTPARSER_H

#include <string>

class TextParser
{
  public:
   void setText(std::string newtxt);
   bool hasToken();
   void getToken(std::string& token,
                 bool&        fNewLine);
  
  private:
   std::string            txt;
   std::string::size_type start;
   bool                   fMore;
   bool                   fLink;
};

#endif
