/*
 * Copyright (C) 2005  Jens Wilhelm Wulf, j dot w dot wulf at gmx dot net
 * Licensed under the GNU General Public License version 2.
 */

#include "treeview.h"
#include "../shared/filetools.h"
#include <iostream>

int main()
{
  TreeView* view;
  
  view = new TreeView();
  
  view->loadFromFile("/home/jens/.Fotoalbum/hauptalbum.pg.xml");
  view->saveAsNewProject("/home/jens/.Fotoalbum/hauptalbum_II.pg.xml");

  std::cout << FileTools::createAbsPath("/abc/././a/b/", "") << "\n";
  std::cout << FileTools::createAbsPath("/./abc/././a/b/", "") << "\n";
  std::cout << FileTools::createAbsPath("/./abc/././a/b/./", "") << "\n";
  std::cout << FileTools::createAbsPath("/./abc/././../a/../b/./", "") << "\n";

  std::cout << FileTools::createRelPath("/a/b/", "/a/b/c/d/") << "\n";
  std::cout << FileTools::createRelPath("/a/b/", "/a/stattb/c/d/") << "\n";
  std::cout << FileTools::createRelPath("/a/b/", "/statta/b/c/d/") << "\n";
  
  delete view;
  
  return(0);
}
