// -*- mode: c; mode: fold -*-
//
/*
 * Copyright (C) 2011  Jens Wilhelm Wulf, j dot w dot wulf at gmx dot net
 * Licensed under the GNU General Public License version 2.
 */

#include "perm.h"


T_Perm::T_Perm()
{
  uPermMask = uPermMaskSaveAs = 0x7FFFFFFF;
}

void T_Perm::SetPermissions(unsigned int uPermMask,
                            unsigned int uSaveAsMask)
{
  this->uPermMask = uPermMask;
  uPermMaskSaveAs = uSaveAsMask;
}

bool T_Perm::IsPermitted(unsigned int uPermMask)
{
  return((this->uPermMask & uPermMask) != 0);
}
