/*
 * Copyright (C) 2011  Jens Wilhelm Wulf, j dot w dot wulf at gmx dot net
 * Licensed under the GNU General Public License version 2.
 */

#ifndef PERM_H
# define PERM_H

# define PERM_AppendMeta        0x00001
# define PERM_EditMeta          0x00002
# define PERM_MoveItems         0x00004
# define PERM_AddGroups         0x00008
# define PERM_DelEmptyGroups    0x00010
# define PERM_DelItems          0x00020
# define PERM_DelFiles          0x00040
# define PERM_OverwriteAlbum    0x00080
# define PERM_CreateThumbs      0x00100
# define PERM_AddFiles          0x00200
# define PERM_EditFiles         0x00400
# define PERM_AddLinks          0x00800


class T_Perm
{
public:
  T_Perm();
  void SetPermissions(unsigned int uPermMask, unsigned int uSaveAsMask);
  bool IsPermitted(unsigned int uPermMask);
  
  unsigned int uPermMaskSaveAs;
  unsigned int uPermMask;  
  
private:
};

#endif
