/*
 * Copyright (C) 2011  Jens Wilhelm Wulf, j dot w dot wulf at gmx dot net
 * Licensed under the GNU General Public License version 2.
 */

#ifndef UTF_CONV_H
#define UTF_CONV_H

#include <string>
#include <set>
#include "../shared/SimpleXMLTransfer.h"


/**
 * Namespace with functions related to file format conversion
 * from 8bit to UTF8
 */
namespace UTFConv
{
   bool Valid(SimpleXMLTransfer* xData);
   int Convert(SimpleXMLTransfer* xData, std::string strCharset);
};

#endif
