/*
 * Copyright (C) 2008  Jens Wilhelm Wulf, j dot w dot wulf at gmx dot net
 * Licensed under the GNU General Public License version 2.
 */

#ifndef EXPORTMETADLG_H
# define EXPORTMETADLG_H

# include <FL/Fl.H>
# include <FL/Fl_Double_Window.H>
# include <FL/Fl_Button.H>
# include <FL/Fl_Check_Button.H>
# include <FL/Fl_Round_Button.H>
# include <FL/Fl_Return_Button.H>

class ExportMetaDlg {
  
public:
  ExportMetaDlg();
  ~ExportMetaDlg();
  
  int showDlg();
  
  Fl_Round_Button* rb_kwmerge;
  Fl_Round_Button* rb_kwoverwrite;
  
  Fl_Check_Button* sw_kwinherit;
  Fl_Check_Button* sw_comoverwrite;
private:
  
  Fl_Button*        bt_cancel;
  Fl_Return_Button* bt_ok;
  
  Fl_Double_Window* myWindow;
};
#endif
