// -*- mode: c; mode: fold -*-
//
/*
 * Copyright (C) 2006, 2008, 2012  Jens Wilhelm Wulf, j dot w dot wulf at gmx dot net
 * Licensed under the GNU General Public License version 2.
 */

#ifndef GUIMISC_H
#define GUIMISC_H

#include <string>
#include <FL/Fl_Input.H>
#include "texttree.h"

class GUIMisc
{
public:
  static std::string getHelpPath(std::string lang, std::string name);
  static int OpenHelp(std::string strLang, std::string strFile);
  static void OpenHtml(std::string strFile);
};

void callback_text_input_to_texttreebrowser(Fl_Input* sender, TextTreeBrowser* tree, char sep);
void callback_text_input_to_texttreebrowser_space(Fl_Input* sender, TextTreeBrowser* tree);
void callback_text_input_to_texttreebrowser_comma(Fl_Input* sender, TextTreeBrowser* tree);
void callback_text_input_to_texttreebrowser_search(Fl_Input* sender, TextTreeBrowser* tree);

#endif
