/*
 * Copyright (C) 2012  Jens Wilhelm Wulf, j dot w dot wulf at gmx dot net
 * Licensed under the GNU General Public License version 2.
 */

#ifndef useriddlg_fl_h
# define useriddlg_fl_h

# include <FL/Fl.H>
# include <FL/Fl_Double_Window.H>
# include <FL/Fl_Choice.H>
# include <FL/Fl_Button.H>
# include <FL/Fl_Text_Display.H>



class User;
class UserIDDlg
{
public:
  UserIDDlg(User* pUser);
  ~UserIDDlg() {};
  
  /**
   * create and show the window 
   */
  Fl_Double_Window* make_window();
  
  User* pUser;
  Fl_Choice* cb_userid;
  Fl_Double_Window* w;
  
private:
  Fl_Button* bt_ok;
  Fl_Button* bt_cancel;
  Fl_Button* bt_help;
  Fl_Text_Display* info;
};

#endif
