/*
 * Copyright (C) 2005  Jens Wilhelm Wulf, j dot w dot wulf at gmx dot net
 * Licensed under the GNU General Public License version 2.
 */

#ifndef workerdlg_h
#define workerdlg_h

# include <FL/Fl.H>
# include <FL/Fl_Progress.H>
# include <FL/Fl_Double_Window.H>
# include <FL/Fl_Button.H>

#include "../base/workerdata.h"

class WorkerDlg {
  public:
   WorkerDlg(WorkerData* myWD);
   ~WorkerDlg();
   void              showDlg();
      
   Fl_Double_Window* worker_form;
   Fl_Progress*      progressbar;
   Fl_Button*        btnCancel;
   WorkerData*       wd;
};
#endif
