/*
 * Copyright (C) 2010  Jens Wilhelm Wulf, j dot w dot wulf at gmx dot net
 * Licensed under the GNU General Public License version 2.
 */

#ifndef ASCIIDOC_H
# define ASCIIDOC_H

#include <string>

class AsciiDoc
{
public:
  
  /**
   * Only paragraph separation up to now. If there is something more than whitespace
   * in "in", the result will be enclosed in "<p></p>".
   * 
   * todo: bullet (unordered) lists, links
   * 
   *  - leading whitespace is stripped
   *  - more than two subsequent newlines are handled as two newlines 
   *    (paragraph separator)
   */
  static std::string ToHtml(std::string in);
};

#endif

