/*
 * Copyright (C) 2012  Jens Wilhelm Wulf, j dot w dot wulf at gmx dot net
 * Licensed under the GNU General Public License version 2.
 */

#include "platform.h"

#include <cstdlib>

#ifdef WIN32_FLTK13
# include <FL/fl_utf8.h>
#endif

#ifdef WIN32

# include <io.h>

int close(int fd)
{
  return(_close(fd));
}

   
#endif

namespace Platform
{
  int system(std::string strCmd)
  {
#ifdef WIN32_FLTK13
    return(fl_system(strCmd.c_str()));
#else
    return(::system(strCmd.c_str()));
#endif
  }
};
